import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/transportcompany/` + url, ...arg)

/**
 * 运输单位Api接口管理器
 *
 * @author 徐超
 * @date  2025/01/02 17:46
 **/
export default {
	// 获取运输单位分页
	bizTransportCompanyPage(data) {
		return request('page', data, 'get')
	},
	// 提交运输单位表单 edit为true时为编辑，默认为新增
	bizTransportCompanySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除运输单位
	bizTransportCompanyDelete(data) {
		return request('delete', data)
	},
	// 获取运输单位详情
	bizTransportCompanyDetail(data) {
		return request('detail', data, 'get')
	}
}
